Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::TransferSwitch Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
pdumodel::TransferSwitch Interface Reference

Transfer switch interface. More...

`import <TransferSwitch.idl;`

Inheritance diagram for pdumodel::TransferSwitch:

## Classes
struct | MetaData
| Transfer switch metadata. More...
struct | Sensors
| Transfer switch sensors. More...
struct | Settings
| Transfer switch settings. More...
struct | SettingsChangedEvent
| Event: Transfer switch settings have been changed. More...
struct | Statistics
| Transfer switch statistics. More...
struct | TransferLogEntry
| Transfer log entry. More...

## Public Types
enum | Type { STS , ATS , HTS }
| Transfer switch type. More...
enum | TransferReason { REASON_UNKNOWN , REASON_STARTUP , REASON_MANUAL_TRANSFER , REASON_AUTO_RETRANSFER , REASON_POWER_FAILURE , REASON_POWER_QUALITY , REASON_OVERLOAD , REASON_OVERHEAT , REASON_INTERNAL_FAILURE , REASON_BYPASS_ACTIVE }
typedef map< string, int > | Parameters
| Transfer switch parameter map.

## Public Member Functions
MetaData | getMetaData ()
| Retrieve the transfer switch metadata.
Sensors | getSensors ()
| Get the transfer switch sensors.
vector< ThrowPole > | getPoles ()
| Get the list of transfer switch poles.
Settings | getSettings ()
| Retrieve the transfer switch settings.
int | setSettings (in Settings settings)
| Change the transfer switch settings.
Statistics | getStatistics ()
| Retrieve the transfer switch statistics.
int | transferToSource (in int source, in boolean faultOverride)
| Select the active inlet.
TransferReason | getLastTransferReason ()
| Get the reason for the last transfer.
Waveform | getLastTransferWaveform ()
| Get the voltage and current waveforms during the last transfer.
vector< TransferLogEntry > | getTransferLog ()
| Retrieve the transfer log.
Parameters | getParameters ()
| Retrieve the transfer switch parameters.
int | setParameters (in Parameters parameters)
| Update one or more transfer switch parameters.
Public Member Functions inherited from pdumodel::EDevice
vector< EDevice > | getParents ()
| Get the list of devices that provide energy to this device.
vector< EDevice > | getChildren ()
| Get the list of devices that are directly fed by this device.
Waveform | getWaveform ()
| Get the current voltage and current waveforms for this device.
Waveform | getPoleWaveform (in PowerLine line)
| Get the current voltage and current waveforms for a pole of this device.

## Public Attributes
constant int | ERR_INVALID_PARAM = 1
| Invalid parameters.
constant int | ERR_SWITCH_PREVENTED = 2
| Switching failed due to an alarm that may be overridden.
constant int | ERR_SWITCH_FAILED = 3
| Switching failed, no override possible.
constant int | OPERATIONAL_STATE_OFF = 0
| Both inlets are off.
constant int | OPERATIONAL_STATE_NORMAL = 1
| Active inlet equals preferred inlet.
constant int | OPERATIONAL_STATE_STANDBY = 2
| Active inlet and preferred inlet are different.
constant int | OPERATIONAL_STATE_NON_REDUNDANT = 3
| Active inlet equals preferred inlet, standby power critical.
constant int | OPERATIONAL_STATE_BYPASSED = 4
| Both inlets are off, but bypass is active.
constant int | SWITCH_FAULT_I1_SHORT = 1
| Inlet 1 switch is permanently closed.
constant int | SWITCH_FAULT_I1_OPEN = 2
| Inlet 1 switch is permanently open.
constant int | SWITCH_FAULT_I2_SHORT = 4
| Inlet 2 switch is permanently closed.
constant int | SWITCH_FAULT_I2_OPEN = 8
| Inlet 2 switch is permanently open.

## Detailed Description

Transfer switch interface.

Definition at line 22 of file TransferSwitch.idl.

## Member Typedef Documentation

## ◆ Parameters

typedef map<string, int> pdumodel::TransferSwitch::Parameters

Transfer switch parameter map.

The set of parameters, their meaning and allowed set of values are technology-dependent and subject to change. Do not modify any values without instruction from Raritan!

Definition at line 212 of file TransferSwitch.idl.

## Member Enumeration Documentation

## ◆ TransferReason

enum pdumodel::TransferSwitch::TransferReason

Enumerator
REASON_UNKNOWN | Transfer reason unknown.
REASON_STARTUP | Startup or return to normal conditions.
REASON_MANUAL_TRANSFER | Manual transfer.
REASON_AUTO_RETRANSFER | Automatic retransfer.
REASON_POWER_FAILURE | Previous inlet power failed.
REASON_POWER_QUALITY | New inlet provided better power quality.
REASON_OVERLOAD | Switched off due to overload alarm.
REASON_OVERHEAT | Switched off due to overheat alarm.
REASON_INTERNAL_FAILURE | Transferred because of hardware failure (e.g. switch fault)
REASON_BYPASS_ACTIVE | Switched off due to active bypass.

Definition at line 35 of file TransferSwitch.idl.

## ◆ Type

enum pdumodel::TransferSwitch::Type

Transfer switch type.

Enumerator
STS | Static transfer switch (using SCRs as switch technology)
ATS | Asynchronous transfer switch (using relays)
HTS | Hybrid transfer switch (relays plus SCRs)

Definition at line 29 of file TransferSwitch.idl.

## Member Function Documentation

## ◆ getLastTransferReason()

TransferReason pdumodel::TransferSwitch::getLastTransferReason | ( |  | ) |

Get the reason for the last transfer.

Returns
  Last transfer reason

## ◆ getLastTransferWaveform()

Waveform pdumodel::TransferSwitch::getLastTransferWaveform | ( |  | ) |

Get the voltage and current waveforms during the last transfer.

Returns
  Waveform samples

## ◆ getMetaData()

MetaData pdumodel::TransferSwitch::getMetaData | ( |  | ) |

Retrieve the transfer switch metadata.

Returns
  Transfer switch metadata

## ◆ getParameters()

Parameters pdumodel::TransferSwitch::getParameters | ( |  | ) |

Retrieve the transfer switch parameters.

Returns
  Parameters map

## ◆ getPoles()

vector< ThrowPole > pdumodel::TransferSwitch::getPoles | ( |  | ) |

Get the list of transfer switch poles.

Returns
  List of poles

## ◆ getSensors()

Sensors pdumodel::TransferSwitch::getSensors | ( |  | ) |

Get the transfer switch sensors.

Returns
  Transfer switch sensors

## ◆ getSettings()

Settings pdumodel::TransferSwitch::getSettings | ( |  | ) |

Retrieve the transfer switch settings.

Returns
  Transfer switch settings

## ◆ getStatistics()

Statistics pdumodel::TransferSwitch::getStatistics | ( |  | ) |

Retrieve the transfer switch statistics.

Returns
  Transfer switch statistics

## ◆ getTransferLog()

vector< TransferLogEntry > pdumodel::TransferSwitch::getTransferLog | ( |  | ) |

Retrieve the transfer log.

Returns
  Transfer log

## ◆ setParameters()

int pdumodel::TransferSwitch::setParameters | ( | in Parameters | parameters | ) |

Update one or more transfer switch parameters.

Parameters

  parameters | Map of transfer switch parameters. Parameters which are not in the map remain unchanged.

Returns
  0 if OK
  ERR_INVALID_PARAM if any parameter is invalid

## ◆ setSettings()

int pdumodel::TransferSwitch::setSettings | ( | in Settings | settings | ) |

Change the transfer switch settings.

Returns
  0 if OK
  1 if any parameters are invalid

Note
  The Settings structure can be "sparse"; fields missing in the JSON representation will remain unchanged.

## ◆ transferToSource()

int pdumodel::TransferSwitch::transferToSource | ( | in int | source,
|  | in boolean | faultOverride )

Select the active inlet.

If the new inlet is available, it will become both active and preferred.

Parameters

  source | New active inlet index
  faultOverride | Force switch even if the phase sync angle between the inputs is too large

Returns
  0 if OK
  ERR_INVALID_PARAM if the selected source is invalid
  ERR_SWITCH_PREVENTED if switching failed due to an alarm that may be overridden
  ERR_SWITCH_FAILED if switching failed and no override is possible

## Member Data Documentation

## ◆ ERR_INVALID_PARAM

constant int pdumodel::TransferSwitch::ERR_INVALID_PARAM = 1

Invalid parameters.

Definition at line 24 of file TransferSwitch.idl.

## ◆ ERR_SWITCH_FAILED

constant int pdumodel::TransferSwitch::ERR_SWITCH_FAILED = 3

Switching failed, no override possible.

Definition at line 26 of file TransferSwitch.idl.

## ◆ ERR_SWITCH_PREVENTED

constant int pdumodel::TransferSwitch::ERR_SWITCH_PREVENTED = 2

Switching failed due to an alarm that may be overridden.

Definition at line 25 of file TransferSwitch.idl.

## ◆ OPERATIONAL_STATE_BYPASSED

constant int pdumodel::TransferSwitch::OPERATIONAL_STATE_BYPASSED = 4

Both inlets are off, but bypass is active.

Definition at line 63 of file TransferSwitch.idl.

## ◆ OPERATIONAL_STATE_NON_REDUNDANT

constant int pdumodel::TransferSwitch::OPERATIONAL_STATE_NON_REDUNDANT = 3

Active inlet equals preferred inlet, standby power critical.

Definition at line 62 of file TransferSwitch.idl.

## ◆ OPERATIONAL_STATE_NORMAL

constant int pdumodel::TransferSwitch::OPERATIONAL_STATE_NORMAL = 1

Active inlet equals preferred inlet.

Definition at line 60 of file TransferSwitch.idl.

## ◆ OPERATIONAL_STATE_OFF

constant int pdumodel::TransferSwitch::OPERATIONAL_STATE_OFF = 0

Both inlets are off.

Definition at line 59 of file TransferSwitch.idl.

## ◆ OPERATIONAL_STATE_STANDBY

constant int pdumodel::TransferSwitch::OPERATIONAL_STATE_STANDBY = 2

Active inlet and preferred inlet are different.

Definition at line 61 of file TransferSwitch.idl.

## ◆ SWITCH_FAULT_I1_OPEN

constant int pdumodel::TransferSwitch::SWITCH_FAULT_I1_OPEN = 2

Inlet 1 switch is permanently open.

Definition at line 67 of file TransferSwitch.idl.

## ◆ SWITCH_FAULT_I1_SHORT

constant int pdumodel::TransferSwitch::SWITCH_FAULT_I1_SHORT = 1

Inlet 1 switch is permanently closed.

Definition at line 66 of file TransferSwitch.idl.

## ◆ SWITCH_FAULT_I2_OPEN

constant int pdumodel::TransferSwitch::SWITCH_FAULT_I2_OPEN = 8

Inlet 2 switch is permanently open.

Definition at line 69 of file TransferSwitch.idl.

## ◆ SWITCH_FAULT_I2_SHORT

constant int pdumodel::TransferSwitch::SWITCH_FAULT_I2_SHORT = 4

Inlet 2 switch is permanently closed.

Definition at line 68 of file TransferSwitch.idl.

The documentation for this interface was generated from the following file:

- TransferSwitch.idl